﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace lucere.analysis
{
    /// <summary> Filters {@link LetterTokenizer} with {@link LowerCaseFilter} and
    /// {@link StopFilter}.
    /// 
    /// <a name="version"/>
    /// <p/>
    /// You must specify the required {@link Version} compatibility when creating
    /// StopAnalyzer:
    /// <ul>
    /// <li>As of 2.9, position increments are preserved</li>
    /// </ul>
    /// </summary>
    public interface IStopAnalyzer : IAnalyzer
    {

    }
}
