using lucere.index.read;

namespace lucere.analysis.enumerator
{
    /// <summary>
    /// Contract for enumerating all terms that match the specified prefix filter term.
    ///<p>Term enumerations are always ordered by Term.compareTo().  Each term in
    ///the enumeration is greater than all that precede it.</p>
    /// </summary>
    public interface IPrefixTermEnumerator : IFilteredTermEnumerator
    {
        ITerm Prefix { get; }
    }
}