namespace lucere.analysis.enumerator
{
    /// <summary>
    /// Contract for enumerating a single term.
    /// This can be used by {@link IMultiTermQuery}s that need only visit one term,
    /// but want to preserve IMultiTermQuery semantics such as
    /// {@link MultiTermQuery#rewriteMethod}.
    /// </summary>
    public interface ISingleTermEnumerator : IFilteredTermEnumerator
    {
    }
}