using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using lucere.toolkit;
using lucere.analysis.index;
using lucere.service.search;

namespace lucere.analysis.query.function
{

    public interface IDocValues
    {
        

        float floatVal(int doc);


        int intVal(int doc);


        long longVal(int doc);


        double doubleVal(int doc);


        String StringValue(int doc);


        IExplanation explain(int doc);


        Object GetInnerArray();


        float GetMinValue();


        float GetMaxValue();


        float GetAverageValue();

    }
}
