﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace lucere.entity
{
    public enum FieldStore
    {
        /// <summary>Store the original field value in the index. This is useful for short texts
        /// like a document's title which should be displayed with the results. The
        /// value is stored in its original form, i.e. no analyzer is used before it is
        /// stored.
        /// </summary>
        Yes,
        /// <summary>Do not store the field value in the index. </summary>
        No
    }
}
