namespace lucere.entity
{
    /// <summary>
    /// A TermInfo is the record of information stored for a term.
    /// </summary>
    public interface ITermInfo
    {
        /// <summary>
        /// The number of documents which contain the term.
        /// </summary>
        int DocumentFrequency { get; set; }
        long FrequencyPointer { get; set; }
        long ProximityDataPointer { get; set; }
        int SkipOffset { get; set; } 

        void Set(int docFreq, long freqPointer, long proxPointer, int skipOffset);
        void Set(ITermInfo ti);

    }
}