﻿using System;
using System.IO;
using System.Runtime.Serialization;

namespace lucere.exception
{
    [Serializable]    
	public class NoSuchDirectoryException : FileNotFoundException
	{
		public NoSuchDirectoryException()
        {
		}

		public NoSuchDirectoryException(string message) : base(message)
		{
		}

		public NoSuchDirectoryException(string message, Exception innerException) : base(message, innerException)
		{
		}

        protected NoSuchDirectoryException(SerializationInfo info, StreamingContext context)
            : base(info, context)
		{
		}
	}
}
