﻿using System;
using System.IO;
using System.Runtime.Serialization;

namespace lucere.exception
{
    [Serializable]
    public class StaleReaderException : IOException
    {
        public StaleReaderException()
        {
		}

		public StaleReaderException(string message) : base(message)
		{
		}

		public StaleReaderException(string message, Exception innerException) : base(message, innerException)
		{
		}

        protected StaleReaderException(SerializationInfo info, StreamingContext context)
            : base(info, context)
		{
		}
    }
}
