﻿using System;
using System.Runtime.Serialization;

namespace lucere.exception
{
    [Serializable]
    public class ThreadInterruptedException : SystemException
    {
        public ThreadInterruptedException()
        {
		}

		public ThreadInterruptedException(string message) : base(message)
		{
		}

		public ThreadInterruptedException(string message, Exception innerException) : base(message, innerException)
		{
		}

        protected ThreadInterruptedException(SerializationInfo info, StreamingContext context)
            : base(info, context)
		{
		}
    }
}
