using System;

namespace lucere.index.diagnostic
{
    /// <summary>
    /// Status from testing stored fields.
    /// </summary>
    public interface IStoredFieldStatus 
    {
        /// <summary>
        /// Number of documents tested. 
        /// </summary>
        int TestedDocumentCount { get; set; } 
            
        /// <summary>
        /// Total number of stored fields tested. 
        /// </summary>
        long TestedFieldsCount { get; set; } 
      
        /// <summary>
        /// Exception thrown during stored fields test (null on success)
        /// </summary>
        Exception Exception { get; set; } 
    }
}