using System;

namespace lucere.index.diagnostic
{
    /// <summary>
    /// Status from testing stored fields.
    /// </summary>
    public interface ITermVectorStatus 
    {
          
        /// <summary>
        /// Number of documents tested. 
        /// </summary>
        int TestedDocumentCount { get; set; } 
          
        /// <summary>
        /// Total number of term vectors tested. 
        /// </summary>
        long TestedVectorCount { get; set; } 

        /// <summary>
        /// Exception thrown during term vector test (null on success) 
        /// </summary>
        Exception Exception { get; set; } 
    }
}