using System;

using lucere.io;

namespace lucere.index.read
{
    public interface ITermBuffer : ICloneable, IComparable<ITermBuffer>
    {
        void Read(IIndexInput input, IFieldInfos fieldInfos);
        ITerm ToTerm();
        void Reset();
        void Set(ITerm term);
        void Set(ITermBuffer other);
    }
}