﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using lucere.io;

namespace lucere.index.read
{
    public interface ICompoundFileWriter : IDisposable
    {
        IDirectory Directory { get; }
        string Name { get; }
        void AddFile(string file);
        void CopyFile(IFileEntry source, IIndexOutput os, byte[] buffer);
    }
}
