using System.Collections.Generic;

using lucere.io;

namespace lucere.index.write
{
    public interface ISegmentWriteState
    {
        IDocumentsWriter DocumentWriter { get; set; }
        IDirectory Directory { get; set; } 
        string SegmentName { get; set; } 
        string DocumentStoreSegmentName { get; set; } 
        int DocumentCount { get; set; } 
        int TermIndexInterval { get; set; } 
        int DocumentsInStoreCount { get; set; } 
        IList<string> FlushedFiles { get; set; }
        string SegmentFilename(string ext);
    }
}