﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace lucere.io
{
	/// <summary>
	/// A memory-resident {@link Directory} implementation.  Locking
	/// implementation is by default the {@link SingleInstanceLockFactory}
	/// but can be changed with {@link #setLockFactory}.
	/// </summary>
	public interface IRAMDirectory : IDirectory
	{
		IDictionary<string, IRAMFile> FileMap { get; set; }
		long SizeInBytes { get; set; }
	}
}
