﻿namespace lucere.io
{
	public interface IRAMOutputStream : IIndexOutput
	{
		/// <summary>
		/// Copy the current contents of this buffer to the named output.
		/// </summary>
		/// <param name="output"></param>
		void WriteTo(IIndexOutput output);

		/// <summary>
		/// Resets this to an empty file.
		/// </summary>
		void Reset();

		/// <summary>
		/// Returns byte usage of all buffers.
		/// </summary>
		long SizeInBytes { get; }
	}
}