﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace lucere.io
{
	/// <summary>
	/// A straightforward implementation of {@link FSDirectory}
	/// using java.io.RandomAccessFile.  However, this class has
	/// poor concurrent performance (multiple threads will
	/// bottleneck) as it synchronizes when multiple threads
	/// read from the same file.  It's usually better to use
	/// {@link NIOFSDirectory} or {@link MMapDirectory} instead.
	/// </summary>
	public interface ISimpleFSDirectory : IFSDirectory
	{

	}
}
