namespace lucere.io.concurrency
{
	///<summary>
	/// Simple standalone server that must be running when you
	/// use <see cref="IVerifyingLockFactory"></see>.  This server simply
	/// verifies at most one process holds the lock at a time.
	/// Run without any args to see usage.
	///<see cref="IVerifyingLockFactory"></see>
	///<see cref="ILockStressTest"></see>
	///</summary>
	public interface ILockVerifyServer
	{
		//NOTE: There is no public methods
		//LockVerifyServer is very simple standalone socket listener
	}
}