﻿namespace lucere.io.concurrency
{

	///<summary>
	/// Use this <see cref="ILockFactory"/> to disable locking entirely.
	/// Only one instance of this lock is created.  You should call <see cref="GetNoLockFactory"/>
	/// to get the instance.
	/// <see cref="ILockFactory"/> 
	///</summary>
	public interface INoLockFactory : ILockFactory
	{
		
	}
}