namespace lucere.service.search
{
	/// <summary>
	/// Expert: Default scoring implementation.
	/// </summary>
	public interface IDefaultSimilarity : ISimilarity
	{
		///<summary>Determines whether overlap tokens (Tokens with
		/// 0 position increment) are ignored when computing
		/// norm.  By default this is false, meaning overlap
		/// tokens are counted just like non-overlap tokens.
		///
		/// <p><b>WARNING</b>: This API is new and experimental, and may suddenly
		/// change.</p>
		///
		/// <see cref="ISimilarity.ComputeNorm"></see>
		///</summary>
		bool DiscountOverlaps { get; set; }
	}
}