using lucere.analysis.query;
using lucere.analysis.query.filter;
using lucere.toolkit;

namespace lucere.service.search
{

	///<summary>
	///Expert: A hit queue for sorting by hits by terms in more than one field.
	///Uses <code>FieldCache.DEFAULT</code> for maintaining
	///internal term lookup tables.
	///
	///<b>NOTE:</b> This API is experimental and might change in
	///incompatible ways in the next release.
	///<see cref="ISearcher.Search(IQuery,IFilter,int,ISort)"></see>
	///<see cref="IFieldCache"></see>
	/// </summary>
	public interface IFieldValueHitQueue : IPriorityQueue<IFieldValueHitQueueEntry>
	{

	}
}