namespace lucere.service.search
{
	//TODO: Actually it is a sealed class

	/// <summary>
	/// Position of a term in a document that takes into account the term offset within the phrase. 
	/// </summary>
	public interface IPhrasePositions
	{
		bool Next();
		bool SkeepTo(int target);
		void FirstPosition();
		///<summary>
		/// Go to next location of this term current document, and set 
		/// <code>position</code> as <code>location - offset</code>, so that a 
		/// matching exact phrase is easily identified when all PhrasePositions 
		/// have exactly the same <code>position</code>.
		///</summary>
		bool NextPosition();
	}
}