using lucere.analysis.query;

namespace lucere.service.search
{
	///<summary>
	/// Expert: Delegating scoring implementation.  Useful in 
	/// <see cref="IQuery.GetSimilarity(ISearcher)"></see> implementations, to override only certain
	/// methods of a Searcher's Similarity implementation.. 
	///</summary>
	public interface ISimilarityDelegator : ISimilarity
	{

	}
}