﻿using lucere.analysis.query;
using lucere.analysis.query.filter;

namespace lucere.service.search
{
	///<summary>
	/// Represents hits returned by <see cref="ISearcher.Search(IQuery,IFilter,int,ISort)"></see>.
	///</summary>
	public interface ITopFieldDocs : ITopDocs
	{
		/** The fields which were used to sort results by. */
		ISortField[] Fields { get; set; }
	}
}