namespace lucere.analysis.enumerator
{
    /// <summary>
    /// Interface for enumerating all terms that are similar to the specified filter term.
    ///<p>Term enumerations are always ordered by Term.compareTo().  Each term in
    ///the enumeration is greater than all that precede it.</p>
    /// </summary>
    public interface IFuzzyTermEnumerator : IFilteredTermEnumerator
    {
    }
}