﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using lucere.analysis.index;
using lucere.service.search;

namespace lucere.analysis.query.function
{
    public interface IFieldCacheSource : IValueSource
    {
       
        IDocValues GetValues(IIndexReader reader);
               
        String Description();
           
        IDocValues GetCachedFieldValues(IFieldCache cache, String field, IIndexReader reader);
               
        bool CachedFieldSourceEquals(IFieldCacheSource other);
               
        int CachedFieldSourceHashCode();

    }
}
