﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using lucere.toolkit;
using lucere.analysis.index;
using lucere.service.search;
using lucere.analysis.query.function;

namespace lucere.analysis.query.function
{
    public interface IValueSource
    {
        IDocValues GetValues(IIndexReader reader);

        void Clear();

        bool Equals(object other);

        int GetHashCode();

        void CopyTo(IAttributeImpl target);
    }
}


