﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using lucere.analysis;

namespace lucere.entity
{
    public interface IAbstractField : IFieldable
    {
        bool StoreTermVector { set; }
        bool StoreOffsetWithTermVector { set; }
        bool StorePositionWithTermVector { set; }

        /// <summary>
        /// the data object for all different kinds of field values
        /// </summary>
        object FieldsData { get; set; }

        /// <summary>
        /// pre-analyzed ITokenStream for indexed fields
        /// </summary>
        ITokenStream TokenStream { get; set; }
    }
}
