namespace lucere.index
{
    public enum Generation
    {
        /// <summary>
        /// e.g. no norms; no deletes;
        /// </summary>
        No = -1,

        /// <summary>
        /// e.g. have norms; have deletes;
        /// </summary>
        Yes = 1,

        /// <summary>
        /// e.g. must check dir to see if there are norms/deletions
        /// </summary>
        CheckDirectory = 0,    
      
        /// <summary>
        /// a file name that has no GEN in it. 
        /// </summary>
        WithoutGeneration = 0  
    }
}