using System;

namespace lucere.index.diagnostic
{
    /// <summary>
    /// Status from testing field norms.
    /// </summary>
    public interface IFieldNormStatus 
    {
        /// <summary>
        /// Number of fields successfully tested 
        /// </summary>
        long TestedFieldCount { get; set; } 

        /// <summary>
        /// Exception thrown during term index test (null on success) 
        /// </summary>
        Exception Exception { get; set; } 
    }
}