namespace lucere.index.read
{
    public interface IDocumentFrequency
    {
        /// <summary>
        /// Returns the current document number.  <p> This is invalid until 
        /// Next() is called for the first time.
        /// </summary>
        /// <returns></returns>
        int Document { get; }

        /// <summary>
        /// Returns the frequency of the term within the current document.  <p> This
        /// is invalid until Next() is called for the first time.
        /// </summary>
        /// <returns></returns>
        int Frequency { get; } 
    }
}