namespace lucere.index.read
{
    /// <summary>
    /// Convenience interface for holding TermVector information.
    /// </summary>
    public interface ITermVectorEntry
    {
        string Field { get; set; } 

        int Frequency { get; set; } 

        ITermVectorOffsetInfo[] Offsets { get; set; }

        int[] Positions { get; set; }

        string Term { get; } 
    }
}