﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using lucere.io;

namespace lucere.index.read
{
    public interface IDefaultSkipListWriter : IMultiLevelSkipListWriter
    {
        IIndexOutput SetFrequencyOutput { set; }
        IIndexOutput SetProxOutput { set; }

        void SetSkipData(int doc, bool storePayloads, int payloadLength);
        void ResetSkip();
        void WriteSkipData(int level, IIndexOutput skipBuffer);
    }
}
