namespace lucere.io.concurrency
{
	/// <summary>
	///<p>Implements <see cref="ILockFactory"></see> using <see cref="System.IO.File.Create(string)"></see>.</p>
	/// <p>If you suspect that this or any other LockFactory is
	/// not working properly in your environment, you can easily
	/// test it by using <see cref="IVerifyingLockFactory"></see>, <see cref="ILockVerifyServer"></see> 
	/// and <see cref="ILockStressTest"></see>
	/// </p>
	/// </summary>
	public interface ISimpleFSLockFactory : IFSLockFactory
	{
		
	}
}