using lucere.analysis.query;
using lucere.analysis.query.filter;

namespace lucere.service.search
{
	///<summary>
	/// Implements parallel search over a set of <code>Searchables</code>.
	/// Applications usually need only call the inherited 
	/// <see cref="ISearcher.Search(IQuery,int)"></see>
	/// or 
	/// <see cref="ISearcher.Search(IQuery,IFilter,int)"></see> methods.
	/// </summary>
	public interface IParallelMultiSearcher : IMultiSearcher
	{

	}
}