﻿using System.IO;
using lucere.io.concurrency;
using MbUnit.Framework;
using Moq;

namespace lucere.test.io.concurrency
{
    [TestFixture]
    public class FSLockFactoryTest
    {
        [Test]
        public void Returns_Directory_That_Was_Set_By_A_Previous_Call()
        {
            var mockSf = new Mock<IFSLockFactory>();
            mockSf.SetupSet(s => s.LockDirectory = It.IsAny<DirectoryInfo>());
            Assert.IsNotNull(mockSf.SetupGet(s => s.LockDirectory).Returns(It.IsAny<DirectoryInfo>()));
        }
    }

    

    
}
